import es, vecmath

weapons = ["hegrenade","glock","usp","p228","deagle","elite","fiveseven","m3","xm1014","mac10","tmp","mp5navy","ump45","p90","galil","famas","ak47","m4a1","scout","aug","sg550","awp","g3sg1","sg552","m249","flashbang","smokegrenade","knife"]
hitgroups = {
        0:{
            "name":"body",
            },
        1:{
            "name":"head",
            },
        2:{
            "name":"chest",
            },
        3:{
            "name":"stomach",
            },
        4:{
            "name":"left arm",
            },
        5:{
            "name":"right arm",
            },
        6:{
            "name":"left leg",
            },
        7:{
            "name":"right leg",
            },
}

def player_hurt(ev):
	if ev["userid"] == ev["attacker"]: return
	if not es.exists("userid", ev['attacker']): return
	if es.isbot(ev['attacker']): return
	damage = ev["dmg_health"]
	hitgroup = int(ev["hitgroup"])
	weapon = ev["weapon"]
	if weapon not in weapons: weapon = "ExDmg"
	else: weapon = weapon.capitalize()
	hitgroup = hitgroups[hitgroup]["name"]
	name = ev["es_username"]
	attackerloc = es.getplayerlocation(ev['attacker'])
	victimloc = es.getplayerlocation(ev['userid'])
	distance = vecmath.distance(victimloc, attackerloc)
	health = es.getplayerprop(ev['userid'], 'CBasePlayer.m_iHealth')
	if health <= 1: status = 'K.I.A.'
	elif health >= 2: status = '%i HP left' % int(health)
	msg = "Victim: %s\nDamage: %s\nWeapon: %s\nShot in the %s\nDistance: %.2f m\nStatus: %s" % (name,damage,weapon,hitgroup,round(distance*0.0254, 2),status)
	es.usermsg("create","disp","KeyHintText")
	es.usermsg("write","byte","disp",1)
	es.usermsg("write","string","disp",msg)
	es.usermsg("send","disp",ev['attacker'])
	es.usermsg("delete","disp")